---
updatedAt: 2025-06-10T00:09:38.000Z
agentTools:
  projectIndex: https://docs.everyaction.com/llms.txt
---

# /people/{personIdType}:{personId}/disclosureFieldValues

This endpoint is the same as [POST /people/{vanId}/disclosureFieldValues](ref:people#peoplevaniddisclosurefieldvalues) but uses external IDs rather than VANIDs.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "everyaction-8",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.securevan.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "http",
        "scheme": "basic"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/people/{personIdType}:{personId}/disclosureFieldValues": {
      "post": {
        "summary": "/people/{personIdType}:{personId}/disclosureFieldValues",
        "description": "This endpoint is the same as [POST /people/{vanId}/disclosureFieldValues](ref:people#peoplevaniddisclosurefieldvalues) but uses external IDs rather than VANIDs.",
        "operationId": "people-personidtype-personid-disclosurefieldvalues",
        "parameters": [
          {
            "name": "personIdType",
            "in": "path",
            "description": "Required; a known person identifier type available in the current context",
            "schema": {
              "type": "string",
              "default": "GWID"
            },
            "required": true
          },
          {
            "name": "personId",
            "in": "path",
            "description": "Required; an external identifier, URL encoded",
            "schema": {
              "type": "string",
              "default": "3"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "disclosureFieldValues": {
                    "type": "array",
                    "description": "An array of  [Disclosure Fields Value](ref:people#disclosure-field-values) objects associated with the contribution",
                    "items": {
                      "properties": {
                        "disclosureFieldId": {
                          "type": "string",
                          "description": "Identifies the Disclosure Field. Together, the designation id and disclosure field id provide a unique identifier of a Disclosure Field.",
                          "default": "1001"
                        },
                        "disclosureFieldValue": {
                          "type": "string",
                          "description": "The value of the Disclosure Field",
                          "default": "John"
                        },
                        "designationId": {
                          "type": "string",
                          "description": "The unique identifier of the [Designation](https://everyaction.readme.io/reference#designations) of the Disclosure Field",
                          "default": "740"
                        }
                      },
                      "type": "object"
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "204",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        {\n            \"code\": \"Error code\",\n            \"text\": \"Error description\",\n            \"properties\": [\n                \"propertyName\"\n            ]\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "string",
                            "example": "Error code"
                          },
                          "text": {
                            "type": "string",
                            "example": "Error description"
                          },
                          "properties": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "propertyName"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```